curl --request GET \
--url https://api.baselayer.com/naics_prediction_requests/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/naics_prediction_requests/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/naics_prediction_requests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "25c3910b-5423-46fb-bbe2-63b9a639f034",
"state": "COMPLETED",
"created_at": "2026-08-31T10:31:07.747451",
"business_id": "4099bc48-3ad9-46c2-99a2-c864a6ac0208",
"business_search_id": "98e11f83-e0a0-4ef9-8001-d39be1c00f25",
"predicted_naics": {
"code": "336111",
"title": "Automobile Manufacturing",
"accuracy": 1,
"keywords": [
"Automobiles",
"Manufacturing",
"Cars",
"Trucks"
],
"mcc_codes": [
{
"code": "<string>",
"description": "<string>",
"mastercard_risk": true,
"visa_risk_tier": 1
}
],
"sic_codes": [
{
"code": "<string>",
"description": "<string>"
}
],
"risk_level": "low",
"reasoning": "Based on homepage content mentioning automobile manufacturing and assembly processes."
},
"error": "<string>",
"reference_id": "Search1234"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get Industry Prediction
Retrieve the Industry code prediction results.
Authorizations
Path Parameters
The unique identifier of the Industry prediction request
"c6a9f6f2-f16e-4d67-be4c-7926f9e091cf"
Response
Successful Response
Unique identifier for the NAICS prediction request.
"25c3910b-5423-46fb-bbe2-63b9a639f034"
The status of the NAICS prediction request
PENDING, EXECUTING, COMPLETED, FAILED, CANCELLED "COMPLETED"
"FAILED"
The date and time when the NAICS prediction request was created.
"2026-08-31T10:31:07.747451"
The ID of the business for which the NAICS code was predicted.
"4099bc48-3ad9-46c2-99a2-c864a6ac0208"
The ID of the business search from which this NAICS prediction request originated.
"98e11f83-e0a0-4ef9-8001-d39be1c00f25"
The predicted NAICS code(s) for the business entity.
Show child attributes
Show child attributes
Any errors that occurred during the NAICS prediction request.
An optional reference ID associated with this request, inherited from the parent search.
"Search1234"